# Uses of Interface
org.mariadb.jdbc.plugin.AuthenticationPlugin

Packages that use AuthenticationPlugin
Package
Description
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.authentication.addon
org.mariadb.jdbc.plugin.authentication.standard

## Uses of AuthenticationPlugin in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin that return AuthenticationPlugin
Modifier and Type
Method
Description
`AuthenticationPlugin`
AuthenticationPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Plugin initialization.

## Uses of AuthenticationPlugin in org.mariadb.jdbc.plugin.authentication.addon

Classes in org.mariadb.jdbc.plugin.authentication.addon that implement AuthenticationPlugin
Modifier and Type
Class
Description
`class`
`ClearPasswordPlugin`
Clear password plugin.
`class`
`SendGssApiAuthPacket`
GSSAPI plugin
Methods in org.mariadb.jdbc.plugin.authentication.addon that return AuthenticationPlugin
Modifier and Type
Method
Description
`AuthenticationPlugin`
ClearPasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`AuthenticationPlugin`
SendGssApiAuthPacketFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.

## Uses of AuthenticationPlugin in org.mariadb.jdbc.plugin.authentication.standard

Classes in org.mariadb.jdbc.plugin.authentication.standard that implement AuthenticationPlugin
Modifier and Type
Class
Description
`class`
`CachingSha2PasswordPlugin`
Mysql caching sha2 password plugin
`class`
`Ed25519PasswordPlugin`
ED25519 password plugin
`class`
`NativePasswordPlugin`
Native password implementation
`class`
`ParsecPasswordPlugin`
Parsec password plugin
`class`
`SendPamAuthPacket`
PAM (dialog) authentication plugin.
Methods in org.mariadb.jdbc.plugin.authentication.standard that return AuthenticationPlugin
Modifier and Type
Method
Description
`AuthenticationPlugin`
CachingSha2PasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
Ed25519PasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
NativePasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
ParsecPasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`AuthenticationPlugin`
SendPamAuthPacketFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.